#!/bin/bash
if [ -z ${GO_PIPELINE_LABEL} ]; then
	echo "GO_PIPELINE_LABEL is not set. doing nothing"
else
	APPIMAGE=NMReval-${GO_PIPELINE_LABEL}-x86_64.AppImage 
	ZSYNC=NMReval-${GO_PIPELINE_LABEL}-x86_64.AppImage.zsync
	#
	# AppImage
	#
	# versioned
	curl --user ${gitea_user}:${gitea_token} \
		--upload-file $APPIMAGE \
		https://gitea.pkm.physik.tu-darmstadt.de/api/packages/${gitea_user}/generic/NMReval/${GO_PIPELINE_LABEL}/$APPIMAGE
	# latest
	curl --user ${gitea_user}:${gitea_token} --delete \
		https://gitea.pkm.physik.tu-darmstadt.de/api/packages/${gitea_user}/generic/NMReval/latest/NMReval-latest-x86_64.Appimage

	curl --user ${gitea_user}:${gitea_token} \
		--upload-file $APPIMAGE \
		https://gitea.pkm.physik.tu-darmstadt.de/api/packages/${gitea_user}/generic/NMReval/latest/NMReval-latest-x86_64.Appimage
	#
	# zsync files
	#
	# versioned
	curl --user ${gitea_user}:${gitea_token} \
		--upload-file $ZSYNC \
		https://gitea.pkm.physik.tu-darmstadt.de/api/packages/${gitea_user}/generic/NMReval/${GO_PIPELINE_LABEL}/$ZSYNC
	# latest
	curl --user ${gitea_user}:${gitea_token} --delete \
		https://gitea.pkm.physik.tu-darmstadt.de/api/packages/${gitea_user}/generic/NMReval/latest/NMReval-latest-x86_64.Appimage.zsync

	curl --user ${gitea_user}:${gitea_token} \
		--upload-file $ZSYNC \
		https://gitea.pkm.physik.tu-darmstadt.de/api/packages/${gitea_user}/generic/NMReval/latest/NMReval-latest-x86_64.Appimage.zsync
fi

